% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derivatives.r
\name{d_bernoulli}
\alias{d_bernoulli}
\title{Partial derivatives for binary items.}
\usage{
d_bernoulli(
  parm,
  p_item,
  etable_item,
  theta,
  pred_data,
  cov,
  samp_size,
  num_items,
  num_quad
)
}
\arguments{
\item{parm}{Item parameter being maximized.}

\item{p_item}{Vector of item parameters.}

\item{etable_item}{E-table for item.}

\item{theta}{Matrix of adaptive theta values.}

\item{cov}{Covariate being maximized.}

\item{samp_size}{Sample size in dataset.}

\item{num_items}{Number of items in dataset.}

\item{pred.data}{Matrix or dataframe of DIF and/or impact predictors.}

\item{num.quad}{Number of quadrature points used for approximating the
latent variable.}
}
\value{
a \code{"list"} of first and second partial derivatives for Bernoulli item likelihood (to
use with coordinate descent and univariate Newton-Raphson)
}
\description{
Partial derivatives for binary items.
}
\keyword{internal}
